var token = $.cookie("token");
var id = helper.request.queryString("ids");
var phone = helper.request.queryString("phone");
var CallID = helper.request.queryString("CallID");
var cusid = "";
$(document).ready(function() {
    if (phone) {
        $("#formTel").val(phone)
        getUserProfile()
    }
})

//点击获取用户档案
$(".btnArchives").click(function() {
    if (!$("#formTel").val()) {
        layer.confirm('请输入电话！', {
            btn: ['确定']
        });
      return;
    }
    getUserProfile();
})

//获取用户档案
function getUserProfile() {
    $.ajax({
        type: "get",
        url: huayi.config.callcenter_url + "Customer/GetCustomerByTel",
        dataType: 'json',
        async: false,
        data: {
            token: $.cookie("token"),
            tel: $("#formTel").val(),
        },
        success: function (result) {
            if (result.state.toLowerCase() == "success") {
                if (result.data != null) {
                    cusid = result.data.F_Id;
                    $("#formName").val(result.data.F_Name);
                    $("#formSex").val(result.data.F_Sex)
                    $("#formProvince option:selected").text(result.data.F_Province)
                    $("#formProvince option:selected").val(result.data.F_Province)
                    $("#formCity option:selected").text(result.data.F_City)
                    $("#formCity option:selected").val(result.data.F_City)
                    $("#formCounty option:selected").text(result.data.F_County)
                    $("#formCounty option:selected").val(result.data.F_County)
                    $("#formAddress").val(result.data.F_Address)
                } else {
                    layer.confirm('没有获取到用户档案！', {
                        btn: ['确定']
                    });
                }
            } else {
            }
        }
    })
}

//保存按钮
$('.customerSubmit').click(function() {
    if (!cusid) {
        layer.confirm('请先获取用户档案！', {
            btn: ['确定']
        });
        return;
    }
    $.post(huayi.config.callcenter_url + 'RegRecords/Save', {
        "token": $.cookie("token"),
        id:id,
        token: $.cookie("token"),
        cusid: cusid, //档案id
        direction: 0, // 0来电，1去电
        type: $('#formRegistrationType input[name="type"]:checked').val(), //登记类型
        complained: $("#formComplainedUnit").val(), //被投诉单位
        content: $("#formRegistrationContent").val(), //登记内容/投诉事项
        remark: $("#formRegistrationRemark").val(), //备注
        tel: $("#formTel").val(),
        callid: CallID,
    }, function(result) {
        result = $.parseJSON(result);
        if(result.state.toLowerCase() == "success") {
            parent.layer.msg("保存成功！");
            Clean()
        }
    })
})

//清空
function Clean() {
    cusid = ""
    $('#formName').val('');
    $('#formTel').val('');
    $('#formSex').val('');
    $('#formProvince').val('');
    $('#formCity').val('');
    $('#formCounty').val('');
    $('#formAddress').val('');
    $('#formComplainedUnit').val('');
    $('#formRegistrationContent').val('');
    $('#formRegistrationRemark').val('');
    $("#formRegistrationType input[name='type'][value='1']").prop("checked","checked"); //工单类型
}
